> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/upload-files-with-the-geopard-api.md).

# GeoPard APIでファイルをアップロード

{% hint style="success" %}
6 MBを超えるファイルには、次の方法をおすすめします。 [事前署名付きURLフロー](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

GeoPard APIでは、土壌・収量・散布・圃場境界のデータセットを含むZIPアーカイブをアップロードし、その後の処理や分析に使用できます。

{% hint style="danger" %}
AWSの制限により、このRESTエンドポイントからアップロードできるファイルの最大サイズは6 MBです。
{% endhint %}

6 MBを超えるファイルのアップロード手順については、 [ZIPファイルをアップロードする（6 MB超）](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

土壌・収量・散布データセットのアップロードが成功すると、GeoPardエンジンは直ちに、そのデータセットを指定された農場内の関連する圃場に紐付けます。

圃場境界のアップロードが成功すると、GeoPardエンジンは直ちに処理を開始します。

レスポンスには、 `<uuid>` が含まれます。この値を使用して処理状況を追跡できます。

#### リクエストの例：

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

パラメーターは次のとおりです。

1. `<type>` - アップロードするデータセットの種類。次のいずれかを指定します。 `yield` または `soil` または `applied` または `boundary`.
2. `<farm_uuid>` - `uuid` - ファイルのアップロード先となる農場のもの（任意）。
3. `<token>` - GeoPardアクセストークン。
4. `@path/to/file.zip` - アップロードするファイルへのパス。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
